// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		A80EDE582D718623003CD332 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE4E2D718623003CD332 /* AppDelegate.swift */; };
		A80EDE5B2D718623003CD332 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = A80EDE4F2D718623003CD332 /* Assets.xcassets */; };
		A80EDE5D2D718623003CD332 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = A80EDE522D718623003CD332 /* LaunchScreen.storyboard */; };
		A80EDE612D718AF4003CD332 /* TSConfig.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE602D718AF4003CD332 /* TSConfig.swift */; };
		A80EDE652D718CAF003CD332 /* GlobalImports.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE642D718CAF003CD332 /* GlobalImports.swift */; };
		A80EDEC62D718CEA003CD332 /* TSRandomTextPicker.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEB32D718CEA003CD332 /* TSRandomTextPicker.swift */; };
		A80EDEC82D718CEA003CD332 /* TSNetworkManager+Loading.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE6E2D718CEA003CD332 /* TSNetworkManager+Loading.swift */; };
		A80EDECB2D718CEA003CD332 /* TSNetWork+Business.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE6D2D718CEA003CD332 /* TSNetWork+Business.swift */; };
		A80EDEDB2D718CEA003CD332 /* TSPhotoPickerManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEBB2D718CEA003CD332 /* TSPhotoPickerManager.swift */; };
		A80EDEE32D718CEA003CD332 /* TSNetworkManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE6C2D718CEA003CD332 /* TSNetworkManager.swift */; };
		A80EDEE72D718CEA003CD332 /* TSCustomStackView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEBD2D718CEA003CD332 /* TSCustomStackView.swift */; };
		A80EDEE92D718CEA003CD332 /* TSFileManagerTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEB62D718CEA003CD332 /* TSFileManagerTool.swift */; };
		A80EDEEA2D718CEA003CD332 /* PaddedLabel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEBF2D718CEA003CD332 /* PaddedLabel.swift */; };
		A80EDEEB2D718CEA003CD332 /* StreamPostRequest.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDE6F2D718CEA003CD332 /* StreamPostRequest.swift */; };
		A80EDEEC2D718CEA003CD332 /* WindowHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEB92D718CEA003CD332 /* WindowHelper.swift */; };
		A80EDEF52D718DEA003CD332 /* TSTabBarController.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEF32D718DEA003CD332 /* TSTabBarController.swift */; };
		A80EDF012D718DF1003CD332 /* TSBusinessWebVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEF62D718DF1003CD332 /* TSBusinessWebVC.swift */; };
		A80EDF022D718DF1003CD332 /* TSSettingListView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEF92D718DF1003CD332 /* TSSettingListView.swift */; };
		A80EDF032D718DF1003CD332 /* ShareActivityItemProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEFD2D718DF1003CD332 /* ShareActivityItemProvider.swift */; };
		A80EDF042D718DF1003CD332 /* TSSetingModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEFC2D718DF1003CD332 /* TSSetingModel.swift */; };
		A80EDF052D718DF1003CD332 /* TSSetingVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEFE2D718DF1003CD332 /* TSSetingVC.swift */; };
		A80EDF062D718DF1003CD332 /* SettingPurchaseTopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEF82D718DF1003CD332 /* SettingPurchaseTopView.swift */; };
		A80EDF072D718DF1003CD332 /* TSSetingViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDEFB2D718DF1003CD332 /* TSSetingViewModel.swift */; };
		A80EDF0B2D718DF7003CD332 /* TSBootPageVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF082D718DF7003CD332 /* TSBootPageVC.swift */; };
		A80EDF0C2D718DF7003CD332 /* TSLaunchVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF092D718DF7003CD332 /* TSLaunchVC.swift */; };
		A80EDF112D718ED1003CD332 /* TSAIRintoneVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF102D718ECF003CD332 /* TSAIRintoneVC.swift */; };
		A80EDF132D718EF7003CD332 /* TSAIPhotoVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF122D718EF6003CD332 /* TSAIPhotoVC.swift */; };
		A80EDF152D718F13003CD332 /* TSThemeVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF142D718F12003CD332 /* TSThemeVC.swift */; };
		A80EDF182D7193EE003CD332 /* TSTutorialsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF172D7193ED003CD332 /* TSTutorialsVC.swift */; };
		A80EDF1B2D71AC90003CD332 /* TSCollectionViewVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF1A2D71AC8F003CD332 /* TSCollectionViewVM.swift */; };
		A80EDF1D2D71BE15003CD332 /* TSCollectionViewVM+Config.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF1C2D71BE11003CD332 /* TSCollectionViewVM+Config.swift */; };
		A80EDF242D71C0AA003CD332 /* TSColVVMSectionHeaderView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF232D71C091003CD332 /* TSColVVMSectionHeaderView.swift */; };
		A80EDF272D71C13D003CD332 /* TSColVVMHeaderModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF262D71C13C003CD332 /* TSColVVMHeaderModel.swift */; };
		A80EDF2A2D71C215003CD332 /* TSThemeVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF292D71C211003CD332 /* TSThemeVM.swift */; };
		A80EDF2D2D71C2CA003CD332 /* TSThemeModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A80EDF2C2D71C2BF003CD332 /* TSThemeModel.swift */; };
		A8272E982D7A88F400F1C814 /* text_rintone_style.json in Resources */ = {isa = PBXBuildFile; fileRef = A8272E972D7A88E300F1C814 /* text_rintone_style.json */; };
		A8272E9B2D7A8F1000F1C814 /* TSGeneralRintoneVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8272E9A2D7A8F0E00F1C814 /* TSGeneralRintoneVC.swift */; };
		A8272E9D2D7A8F4600F1C814 /* TSGeneralRintoneVC+Event.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8272E9C2D7A8F3A00F1C814 /* TSGeneralRintoneVC+Event.swift */; };
		A8272E9F2D7A8F6500F1C814 /* TSGeneralRintoneVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8272E9E2D7A8F6000F1C814 /* TSGeneralRintoneVM.swift */; };
		A8272EBB2D7AFD0F00F1C814 /* TSBusinessAudioPlayer.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8272EBA2D7AFD0D00F1C814 /* TSBusinessAudioPlayer.swift */; };
		A83503CD2D7ED1440067002A /* TSThemeTutorialsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83503CC2D7ED1430067002A /* TSThemeTutorialsVC.swift */; };
		A83F871D2D79409B00D29B1B /* TSUserDefaultData.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83F871C2D79409300D29B1B /* TSUserDefaultData.swift */; };
		A83F87202D794FF000D29B1B /* TSAIPhotoImageCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83F871F2D794FE600D29B1B /* TSAIPhotoImageCell.swift */; };
		A83F87222D7953C000D29B1B /* Notification+TSEx.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83F87212D7953BA00D29B1B /* Notification+TSEx.swift */; };
		A83F87242D7954BB00D29B1B /* TSAIPhotoChildVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83F87232D7954B800D29B1B /* TSAIPhotoChildVM.swift */; };
		A868A89A2D75505E00F6D884 /* TSThemeBannerCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8992D75505800F6D884 /* TSThemeBannerCell.swift */; };
		A868A89C2D75506C00F6D884 /* TSThemeContentCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A89B2D75506500F6D884 /* TSThemeContentCell.swift */; };
		A868A8A22D7560B900F6D884 /* TSPageNullView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A89D2D7560B900F6D884 /* TSPageNullView.swift */; };
		A868A8A32D7560B900F6D884 /* TSViewTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8A02D7560B900F6D884 /* TSViewTool.swift */; };
		A868A8A42D7560B900F6D884 /* TSCommonloadingView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A89E2D7560B900F6D884 /* TSCommonloadingView.swift */; };
		A868A8A72D757DD600F6D884 /* UICollectionView+Refresh.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8A62D757DCE00F6D884 /* UICollectionView+Refresh.swift */; };
		A868A8AA2D7588A500F6D884 /* TSThemeBrowseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8A92D7588A400F6D884 /* TSThemeBrowseVC.swift */; };
		A868A8AD2D758B6B00F6D884 /* TSTBCallPreviewView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8AC2D758B5100F6D884 /* TSTBCallPreviewView.swift */; };
		A868A8AF2D758BBC00F6D884 /* TSTBDesktopPreviewView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8AE2D758BA800F6D884 /* TSTBDesktopPreviewView.swift */; };
		A868A8B12D758CA400F6D884 /* TSTBBtnView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8B02D758C9600F6D884 /* TSTBBtnView.swift */; };
		A868A8B52D7598C000F6D884 /* TSTSIslandView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8B42D7598A500F6D884 /* TSTSIslandView.swift */; };
		A868A8BA2D75C22300F6D884 /* TSThemeBrowseVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8B92D75C20400F6D884 /* TSThemeBrowseVM.swift */; };
		A868A8BD2D75C68300F6D884 /* TSAudioPlayer.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8BB2D75C68300F6D884 /* TSAudioPlayer.swift */; };
		A868A8BF2D76A17E00F6D884 /* Poppins-BlackItalic.ttf in Resources */ = {isa = PBXBuildFile; fileRef = A868A8BE2D76A17E00F6D884 /* Poppins-BlackItalic.ttf */; };
		A868A8C22D76A2A700F6D884 /* UIFont+TSEx.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8C12D76A28F00F6D884 /* UIFont+TSEx.swift */; };
		A868A8C72D76A44500F6D884 /* TSThemeSetVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8C62D76A43E00F6D884 /* TSThemeSetVC.swift */; };
		A868A8C92D76A45900F6D884 /* TSThemeSetItemView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8C82D76A45200F6D884 /* TSThemeSetItemView.swift */; };
		A868A8CE2D76AAC600F6D884 /* TSThemeSetRingToneView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8CD2D76AAAF00F6D884 /* TSThemeSetRingToneView.swift */; };
		A868A8D02D76D03900F6D884 /* TSRingToneCellView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8CF2D76D02300F6D884 /* TSRingToneCellView.swift */; };
		A868A8D52D76E41800F6D884 /* TSSetContactAvatar.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8D42D76E40E00F6D884 /* TSSetContactAvatar.swift */; };
		A868A8DB2D76F00C00F6D884 /* TSBandRingTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8DA2D76F00800F6D884 /* TSBandRingTool.swift */; };
		A868A8DE2D76F91500F6D884 /* AudioTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8DD2D76F91500F6D884 /* AudioTool.swift */; };
		A868A8E12D76F9BB00F6D884 /* AudioConverter.m in Sources */ = {isa = PBXBuildFile; fileRef = A868A8E02D76F9BB00F6D884 /* AudioConverter.m */; };
		A868A8E82D76FA4200F6D884 /* ExtAudioConverter.m in Sources */ = {isa = PBXBuildFile; fileRef = A868A8E52D76FA4200F6D884 /* ExtAudioConverter.m */; };
		A868A8EB2D76FD9800F6D884 /* placeholder.band in Resources */ = {isa = PBXBuildFile; fileRef = A868A8EA2D76FD9800F6D884 /* placeholder.band */; };
		A868A8ED2D76FE5D00F6D884 /* tutorial-ring.mp4 in Resources */ = {isa = PBXBuildFile; fileRef = A868A8EC2D76FE5D00F6D884 /* tutorial-ring.mp4 */; };
		A868A8EF2D77041400F6D884 /* TSLoadingAnimation.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8EE2D77040F00F6D884 /* TSLoadingAnimation.swift */; };
		A868A8F12D77081C00F6D884 /* TSContactsTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8F02D77081B00F6D884 /* TSContactsTool.swift */; };
		A868A8F22D770A9200F6D884 /* libmp3lame.a in Frameworks */ = {isa = PBXBuildFile; fileRef = A868A8E42D76FA4200F6D884 /* libmp3lame.a */; };
		A868A8F52D77179D00F6D884 /* TSAIPhotoChildVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8F42D77179C00F6D884 /* TSAIPhotoChildVC.swift */; };
		A868A8F82D77E2BC00F6D884 /* TSTextGeneralPicVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8F72D77E2B900F6D884 /* TSTextGeneralPicVC.swift */; };
		A868A8FA2D77E35E00F6D884 /* TSPromptTextView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8F92D77E34D00F6D884 /* TSPromptTextView.swift */; };
		A868A9002D77E55800F6D884 /* TSPromptStyleView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A8FF2D77E54A00F6D884 /* TSPromptStyleView.swift */; };
		A868A9032D77E5A500F6D884 /* TSPTPStyleModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9022D77E5A400F6D884 /* TSPTPStyleModel.swift */; };
		A868A9052D77E5AB00F6D884 /* photo_to_photo_style.json in Resources */ = {isa = PBXBuildFile; fileRef = A868A9042D77E5AB00F6D884 /* photo_to_photo_style.json */; };
		A868A9072D77EED800F6D884 /* TSTGPTitleView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9062D77EECC00F6D884 /* TSTGPTitleView.swift */; };
		A868A9092D7828EC00F6D884 /* TSTGPPhotoStyleView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9082D7828DF00F6D884 /* TSTGPPhotoStyleView.swift */; };
		A868A90C2D78311A00F6D884 /* TSTextGeneralPicVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A90B2D78311400F6D884 /* TSTextGeneralPicVM.swift */; };
		A868A90E2D7846D600F6D884 /* TSSavePhotoSuccessTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A90D2D7846D400F6D884 /* TSSavePhotoSuccessTool.swift */; };
		A868A9112D784CFB00F6D884 /* TSGeneralPicVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9102D784CFA00F6D884 /* TSGeneralPicVC.swift */; };
		A868A9142D784D4D00F6D884 /* TSGeneralPicModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9132D784D2700F6D884 /* TSGeneralPicModel.swift */; };
		A868A9162D784E6500F6D884 /* TSBottomAlertVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9152D784E6500F6D884 /* TSBottomAlertVC.swift */; };
		A868A9182D78555200F6D884 /* TSGenneralPicVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9172D78554800F6D884 /* TSGenneralPicVM.swift */; };
		A868A91A2D78559800F6D884 /* TSProgressState.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A9192D78559600F6D884 /* TSProgressState.swift */; };
		A868A91C2D78592600F6D884 /* rotatingAnimation.gif in Resources */ = {isa = PBXBuildFile; fileRef = A868A91B2D78592600F6D884 /* rotatingAnimation.gif */; };
		A868A91E2D785CEA00F6D884 /* TSGeneralPicVC+Event.swift in Sources */ = {isa = PBXBuildFile; fileRef = A868A91D2D785CE600F6D884 /* TSGeneralPicVC+Event.swift */; };
		A8C6436C2D79A8C8001068D0 /* TSAIRintoneHistoryCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C6436B2D79A8C7001068D0 /* TSAIRintoneHistoryCell.swift */; };
		A8CC55822D797720002E0CAA /* TSGeneralPicBrowseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8CC55812D79771F002E0CAA /* TSGeneralPicBrowseVC.swift */; };
		A8CC55862D798E2D002E0CAA /* TSTextGeneralRintoneVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8CC55852D798E2D002E0CAA /* TSTextGeneralRintoneVC.swift */; };
		A8CC55892D798E5D002E0CAA /* TSTextGeneralRintoneVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8CC55882D798E5A002E0CAA /* TSTextGeneralRintoneVM.swift */; };
		A8CC558B2D79905A002E0CAA /* TSCreatBtnView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8CC558A2D799051002E0CAA /* TSCreatBtnView.swift */; };
		A8CC55902D799F9F002E0CAA /* TSAIRintoneVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8CC558F2D799F9C002E0CAA /* TSAIRintoneVM.swift */; };
		A8DEC2702D7C395C002EB948 /* TSThemeCopyrightVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8DEC26F2D7C395B002EB948 /* TSThemeCopyrightVC.swift */; };
		F5FF0EC10B0056B65FDB9C78 /* Pods_AIRingtone.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 39C823AB7F3D49E8B2356E07 /* Pods_AIRingtone.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		39C823AB7F3D49E8B2356E07 /* Pods_AIRingtone.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_AIRingtone.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		5D578E9BD60A04ABE5E6E12E /* Pods-AIRingtone.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-AIRingtone.debug.xcconfig"; path = "Target Support Files/Pods-AIRingtone/Pods-AIRingtone.debug.xcconfig"; sourceTree = "<group>"; };
		5DBE882FFF7A297F71A825E3 /* Pods-AIRingtone.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-AIRingtone.release.xcconfig"; path = "Target Support Files/Pods-AIRingtone/Pods-AIRingtone.release.xcconfig"; sourceTree = "<group>"; };
		A80EDE362D7184D9003CD332 /* AIRingtone.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = AIRingtone.app; sourceTree = BUILT_PRODUCTS_DIR; };
		A80EDE4E2D718623003CD332 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		A80EDE4F2D718623003CD332 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		A80EDE502D718623003CD332 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		A80EDE512D718623003CD332 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		A80EDE602D718AF4003CD332 /* TSConfig.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSConfig.swift; sourceTree = "<group>"; };
		A80EDE642D718CAF003CD332 /* GlobalImports.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GlobalImports.swift; sourceTree = "<group>"; };
		A80EDE6C2D718CEA003CD332 /* TSNetworkManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSNetworkManager.swift; sourceTree = "<group>"; };
		A80EDE6D2D718CEA003CD332 /* TSNetWork+Business.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "TSNetWork+Business.swift"; sourceTree = "<group>"; };
		A80EDE6E2D718CEA003CD332 /* TSNetworkManager+Loading.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "TSNetworkManager+Loading.swift"; sourceTree = "<group>"; };
		A80EDE6F2D718CEA003CD332 /* StreamPostRequest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StreamPostRequest.swift; sourceTree = "<group>"; };
		A80EDEB32D718CEA003CD332 /* TSRandomTextPicker.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomTextPicker.swift; sourceTree = "<group>"; };
		A80EDEB62D718CEA003CD332 /* TSFileManagerTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSFileManagerTool.swift; sourceTree = "<group>"; };
		A80EDEB92D718CEA003CD332 /* WindowHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WindowHelper.swift; sourceTree = "<group>"; };
		A80EDEBB2D718CEA003CD332 /* TSPhotoPickerManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSPhotoPickerManager.swift; sourceTree = "<group>"; };
		A80EDEBD2D718CEA003CD332 /* TSCustomStackView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSCustomStackView.swift; sourceTree = "<group>"; };
		A80EDEBF2D718CEA003CD332 /* PaddedLabel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PaddedLabel.swift; sourceTree = "<group>"; };
		A80EDEF32D718DEA003CD332 /* TSTabBarController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTabBarController.swift; sourceTree = "<group>"; };
		A80EDEF62D718DF1003CD332 /* TSBusinessWebVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBusinessWebVC.swift; sourceTree = "<group>"; };
		A80EDEF82D718DF1003CD332 /* SettingPurchaseTopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingPurchaseTopView.swift; sourceTree = "<group>"; };
		A80EDEF92D718DF1003CD332 /* TSSettingListView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSSettingListView.swift; sourceTree = "<group>"; };
		A80EDEFB2D718DF1003CD332 /* TSSetingViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSSetingViewModel.swift; sourceTree = "<group>"; };
		A80EDEFC2D718DF1003CD332 /* TSSetingModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSSetingModel.swift; sourceTree = "<group>"; };
		A80EDEFD2D718DF1003CD332 /* ShareActivityItemProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShareActivityItemProvider.swift; sourceTree = "<group>"; };
		A80EDEFE2D718DF1003CD332 /* TSSetingVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSSetingVC.swift; sourceTree = "<group>"; };
		A80EDF082D718DF7003CD332 /* TSBootPageVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBootPageVC.swift; sourceTree = "<group>"; };
		A80EDF092D718DF7003CD332 /* TSLaunchVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSLaunchVC.swift; sourceTree = "<group>"; };
		A80EDF102D718ECF003CD332 /* TSAIRintoneVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIRintoneVC.swift; sourceTree = "<group>"; };
		A80EDF122D718EF6003CD332 /* TSAIPhotoVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIPhotoVC.swift; sourceTree = "<group>"; };
		A80EDF142D718F12003CD332 /* TSThemeVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeVC.swift; sourceTree = "<group>"; };
		A80EDF172D7193ED003CD332 /* TSTutorialsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTutorialsVC.swift; sourceTree = "<group>"; };
		A80EDF1A2D71AC8F003CD332 /* TSCollectionViewVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSCollectionViewVM.swift; sourceTree = "<group>"; };
		A80EDF1C2D71BE11003CD332 /* TSCollectionViewVM+Config.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "TSCollectionViewVM+Config.swift"; sourceTree = "<group>"; };
		A80EDF232D71C091003CD332 /* TSColVVMSectionHeaderView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSColVVMSectionHeaderView.swift; sourceTree = "<group>"; };
		A80EDF262D71C13C003CD332 /* TSColVVMHeaderModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSColVVMHeaderModel.swift; sourceTree = "<group>"; };
		A80EDF292D71C211003CD332 /* TSThemeVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeVM.swift; sourceTree = "<group>"; };
		A80EDF2C2D71C2BF003CD332 /* TSThemeModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeModel.swift; sourceTree = "<group>"; };
		A8272E972D7A88E300F1C814 /* text_rintone_style.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = text_rintone_style.json; sourceTree = "<group>"; };
		A8272E9A2D7A8F0E00F1C814 /* TSGeneralRintoneVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSGeneralRintoneVC.swift; sourceTree = "<group>"; };
		A8272E9C2D7A8F3A00F1C814 /* TSGeneralRintoneVC+Event.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "TSGeneralRintoneVC+Event.swift"; sourceTree = "<group>"; };
		A8272E9E2D7A8F6000F1C814 /* TSGeneralRintoneVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSGeneralRintoneVM.swift; sourceTree = "<group>"; };
		A8272EBA2D7AFD0D00F1C814 /* TSBusinessAudioPlayer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBusinessAudioPlayer.swift; sourceTree = "<group>"; };
		A83503CC2D7ED1430067002A /* TSThemeTutorialsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeTutorialsVC.swift; sourceTree = "<group>"; };
		A83F871C2D79409300D29B1B /* TSUserDefaultData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSUserDefaultData.swift; sourceTree = "<group>"; };
		A83F871F2D794FE600D29B1B /* TSAIPhotoImageCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIPhotoImageCell.swift; sourceTree = "<group>"; };
		A83F87212D7953BA00D29B1B /* Notification+TSEx.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Notification+TSEx.swift"; sourceTree = "<group>"; };
		A83F87232D7954B800D29B1B /* TSAIPhotoChildVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIPhotoChildVM.swift; sourceTree = "<group>"; };
		A868A8992D75505800F6D884 /* TSThemeBannerCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeBannerCell.swift; sourceTree = "<group>"; };
		A868A89B2D75506500F6D884 /* TSThemeContentCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeContentCell.swift; sourceTree = "<group>"; };
		A868A89D2D7560B900F6D884 /* TSPageNullView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSPageNullView.swift; sourceTree = "<group>"; };
		A868A89E2D7560B900F6D884 /* TSCommonloadingView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSCommonloadingView.swift; sourceTree = "<group>"; };
		A868A8A02D7560B900F6D884 /* TSViewTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSViewTool.swift; sourceTree = "<group>"; };
		A868A8A62D757DCE00F6D884 /* UICollectionView+Refresh.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UICollectionView+Refresh.swift"; sourceTree = "<group>"; };
		A868A8A92D7588A400F6D884 /* TSThemeBrowseVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeBrowseVC.swift; sourceTree = "<group>"; };
		A868A8AC2D758B5100F6D884 /* TSTBCallPreviewView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTBCallPreviewView.swift; sourceTree = "<group>"; };
		A868A8AE2D758BA800F6D884 /* TSTBDesktopPreviewView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTBDesktopPreviewView.swift; sourceTree = "<group>"; };
		A868A8B02D758C9600F6D884 /* TSTBBtnView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTBBtnView.swift; sourceTree = "<group>"; };
		A868A8B42D7598A500F6D884 /* TSTSIslandView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTSIslandView.swift; sourceTree = "<group>"; };
		A868A8B92D75C20400F6D884 /* TSThemeBrowseVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeBrowseVM.swift; sourceTree = "<group>"; };
		A868A8BB2D75C68300F6D884 /* TSAudioPlayer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAudioPlayer.swift; sourceTree = "<group>"; };
		A868A8BE2D76A17E00F6D884 /* Poppins-BlackItalic.ttf */ = {isa = PBXFileReference; lastKnownFileType = file; path = "Poppins-BlackItalic.ttf"; sourceTree = "<group>"; };
		A868A8C12D76A28F00F6D884 /* UIFont+TSEx.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIFont+TSEx.swift"; sourceTree = "<group>"; };
		A868A8C62D76A43E00F6D884 /* TSThemeSetVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeSetVC.swift; sourceTree = "<group>"; };
		A868A8C82D76A45200F6D884 /* TSThemeSetItemView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeSetItemView.swift; sourceTree = "<group>"; };
		A868A8CD2D76AAAF00F6D884 /* TSThemeSetRingToneView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeSetRingToneView.swift; sourceTree = "<group>"; };
		A868A8CF2D76D02300F6D884 /* TSRingToneCellView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRingToneCellView.swift; sourceTree = "<group>"; };
		A868A8D42D76E40E00F6D884 /* TSSetContactAvatar.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSSetContactAvatar.swift; sourceTree = "<group>"; };
		A868A8DA2D76F00800F6D884 /* TSBandRingTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBandRingTool.swift; sourceTree = "<group>"; };
		A868A8DD2D76F91500F6D884 /* AudioTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AudioTool.swift; sourceTree = "<group>"; };
		A868A8DF2D76F9BB00F6D884 /* AudioConverter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AudioConverter.h; sourceTree = "<group>"; };
		A868A8E02D76F9BB00F6D884 /* AudioConverter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AudioConverter.m; sourceTree = "<group>"; };
		A868A8E22D76F9BC00F6D884 /* AIRingtone-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "AIRingtone-Bridging-Header.h"; sourceTree = "<group>"; };
		A868A8E32D76FA4200F6D884 /* ExtAudioConverter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ExtAudioConverter.h; sourceTree = "<group>"; };
		A868A8E42D76FA4200F6D884 /* libmp3lame.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; path = libmp3lame.a; sourceTree = "<group>"; };
		A868A8E52D76FA4200F6D884 /* ExtAudioConverter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ExtAudioConverter.m; sourceTree = "<group>"; };
		A868A8E62D76FA4200F6D884 /* lame.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = lame.h; sourceTree = "<group>"; };
		A868A8EA2D76FD9800F6D884 /* placeholder.band */ = {isa = PBXFileReference; lastKnownFileType = wrapper; path = placeholder.band; sourceTree = "<group>"; };
		A868A8EC2D76FE5D00F6D884 /* tutorial-ring.mp4 */ = {isa = PBXFileReference; lastKnownFileType = file; path = "tutorial-ring.mp4"; sourceTree = "<group>"; };
		A868A8EE2D77040F00F6D884 /* TSLoadingAnimation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSLoadingAnimation.swift; sourceTree = "<group>"; };
		A868A8F02D77081B00F6D884 /* TSContactsTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSContactsTool.swift; sourceTree = "<group>"; };
		A868A8F42D77179C00F6D884 /* TSAIPhotoChildVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIPhotoChildVC.swift; sourceTree = "<group>"; };
		A868A8F72D77E2B900F6D884 /* TSTextGeneralPicVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTextGeneralPicVC.swift; sourceTree = "<group>"; };
		A868A8F92D77E34D00F6D884 /* TSPromptTextView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSPromptTextView.swift; sourceTree = "<group>"; };
		A868A8FF2D77E54A00F6D884 /* TSPromptStyleView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSPromptStyleView.swift; sourceTree = "<group>"; };
		A868A9022D77E5A400F6D884 /* TSPTPStyleModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSPTPStyleModel.swift; sourceTree = "<group>"; };
		A868A9042D77E5AB00F6D884 /* photo_to_photo_style.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = photo_to_photo_style.json; sourceTree = "<group>"; };
		A868A9062D77EECC00F6D884 /* TSTGPTitleView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTGPTitleView.swift; sourceTree = "<group>"; };
		A868A9082D7828DF00F6D884 /* TSTGPPhotoStyleView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTGPPhotoStyleView.swift; sourceTree = "<group>"; };
		A868A90B2D78311400F6D884 /* TSTextGeneralPicVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTextGeneralPicVM.swift; sourceTree = "<group>"; };
		A868A90D2D7846D400F6D884 /* TSSavePhotoSuccessTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSSavePhotoSuccessTool.swift; sourceTree = "<group>"; };
		A868A9102D784CFA00F6D884 /* TSGeneralPicVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSGeneralPicVC.swift; sourceTree = "<group>"; };
		A868A9132D784D2700F6D884 /* TSGeneralPicModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSGeneralPicModel.swift; sourceTree = "<group>"; };
		A868A9152D784E6500F6D884 /* TSBottomAlertVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBottomAlertVC.swift; sourceTree = "<group>"; };
		A868A9172D78554800F6D884 /* TSGenneralPicVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSGenneralPicVM.swift; sourceTree = "<group>"; };
		A868A9192D78559600F6D884 /* TSProgressState.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSProgressState.swift; sourceTree = "<group>"; };
		A868A91B2D78592600F6D884 /* rotatingAnimation.gif */ = {isa = PBXFileReference; lastKnownFileType = image.gif; path = rotatingAnimation.gif; sourceTree = "<group>"; };
		A868A91D2D785CE600F6D884 /* TSGeneralPicVC+Event.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "TSGeneralPicVC+Event.swift"; sourceTree = "<group>"; };
		A8C6436B2D79A8C7001068D0 /* TSAIRintoneHistoryCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIRintoneHistoryCell.swift; sourceTree = "<group>"; };
		A8CC55812D79771F002E0CAA /* TSGeneralPicBrowseVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSGeneralPicBrowseVC.swift; sourceTree = "<group>"; };
		A8CC55852D798E2D002E0CAA /* TSTextGeneralRintoneVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTextGeneralRintoneVC.swift; sourceTree = "<group>"; };
		A8CC55882D798E5A002E0CAA /* TSTextGeneralRintoneVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTextGeneralRintoneVM.swift; sourceTree = "<group>"; };
		A8CC558A2D799051002E0CAA /* TSCreatBtnView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSCreatBtnView.swift; sourceTree = "<group>"; };
		A8CC558F2D799F9C002E0CAA /* TSAIRintoneVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAIRintoneVM.swift; sourceTree = "<group>"; };
		A8DEC26F2D7C395B002EB948 /* TSThemeCopyrightVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSThemeCopyrightVC.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		A80EDE332D7184D9003CD332 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F5FF0EC10B0056B65FDB9C78 /* Pods_AIRingtone.framework in Frameworks */,
				A868A8F22D770A9200F6D884 /* libmp3lame.a in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		229F5991134C992950FFF4DF /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				39C823AB7F3D49E8B2356E07 /* Pods_AIRingtone.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		95CE771C1383BB2F7CD1521C /* Pods */ = {
			isa = PBXGroup;
			children = (
				5D578E9BD60A04ABE5E6E12E /* Pods-AIRingtone.debug.xcconfig */,
				5DBE882FFF7A297F71A825E3 /* Pods-AIRingtone.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		A80EDE2D2D7184D9003CD332 = {
			isa = PBXGroup;
			children = (
				A80EDE572D718623003CD332 /* AIRingtone */,
				A80EDE372D7184D9003CD332 /* Products */,
				95CE771C1383BB2F7CD1521C /* Pods */,
				229F5991134C992950FFF4DF /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		A80EDE372D7184D9003CD332 /* Products */ = {
			isa = PBXGroup;
			children = (
				A80EDE362D7184D9003CD332 /* AIRingtone.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		A80EDE572D718623003CD332 /* AIRingtone */ = {
			isa = PBXGroup;
			children = (
				A80EDE632D718B19003CD332 /* Business */,
				A80EDEC22D718CEA003CD332 /* Common */,
				A80EDE4E2D718623003CD332 /* AppDelegate.swift */,
				A868A8E22D76F9BC00F6D884 /* AIRingtone-Bridging-Header.h */,
				A80EDE4F2D718623003CD332 /* Assets.xcassets */,
				A80EDE502D718623003CD332 /* Info.plist */,
				A80EDE522D718623003CD332 /* LaunchScreen.storyboard */,
			);
			path = AIRingtone;
			sourceTree = "<group>";
		};
		A80EDE5F2D718AEF003CD332 /* Config */ = {
			isa = PBXGroup;
			children = (
				A80EDE602D718AF4003CD332 /* TSConfig.swift */,
				A80EDE642D718CAF003CD332 /* GlobalImports.swift */,
			);
			path = Config;
			sourceTree = "<group>";
		};
		A80EDE622D718B0F003CD332 /* Res */ = {
			isa = PBXGroup;
			children = (
				A868A91B2D78592600F6D884 /* rotatingAnimation.gif */,
				A868A8BE2D76A17E00F6D884 /* Poppins-BlackItalic.ttf */,
			);
			path = Res;
			sourceTree = "<group>";
		};
		A80EDE632D718B19003CD332 /* Business */ = {
			isa = PBXGroup;
			children = (
				A83F871B2D79408300D29B1B /* Data */,
				A868A8A12D7560B900F6D884 /* VIewTool */,
				A80EDF192D71AC2F003CD332 /* TSCollectionViewVM */,
				A80EDF162D7193E4003CD332 /* TSTutorialsVC */,
				A80EDF0F2D718E8E003CD332 /* TSAIPhotoVC */,
				A80EDF0E2D718E58003CD332 /* TSAIRintoneVC */,
				A80EDF0D2D718E42003CD332 /* TSThemeVC */,
				A80EDF0A2D718DF7003CD332 /* LaunchVC */,
				A80EDF002D718DF1003CD332 /* TSSetingVC */,
				A80EDEF42D718DEA003CD332 /* TSTabBarController */,
			);
			path = Business;
			sourceTree = "<group>";
		};
		A80EDE702D718CEA003CD332 /* TSNetWork */ = {
			isa = PBXGroup;
			children = (
				A80EDE6C2D718CEA003CD332 /* TSNetworkManager.swift */,
				A80EDE6D2D718CEA003CD332 /* TSNetWork+Business.swift */,
				A80EDE6E2D718CEA003CD332 /* TSNetworkManager+Loading.swift */,
				A80EDE6F2D718CEA003CD332 /* StreamPostRequest.swift */,
			);
			path = TSNetWork;
			sourceTree = "<group>";
		};
		A80EDE712D718CEA003CD332 /* NetworkManager */ = {
			isa = PBXGroup;
			children = (
				A80EDE702D718CEA003CD332 /* TSNetWork */,
			);
			path = NetworkManager;
			sourceTree = "<group>";
		};
		A80EDEBA2D718CEA003CD332 /* Tool */ = {
			isa = PBXGroup;
			children = (
				A8272EBA2D7AFD0D00F1C814 /* TSBusinessAudioPlayer.swift */,
				A868A8F02D77081B00F6D884 /* TSContactsTool.swift */,
				A868A8DC2D76F90E00F6D884 /* TSBandRingTool */,
				A868A8D42D76E40E00F6D884 /* TSSetContactAvatar.swift */,
				A868A8BC2D75C68300F6D884 /* TSAudioPlayer */,
				A80EDEB32D718CEA003CD332 /* TSRandomTextPicker.swift */,
				A80EDEB62D718CEA003CD332 /* TSFileManagerTool.swift */,
				A868A8EE2D77040F00F6D884 /* TSLoadingAnimation.swift */,
				A80EDEB92D718CEA003CD332 /* WindowHelper.swift */,
			);
			path = Tool;
			sourceTree = "<group>";
		};
		A80EDEBC2D718CEA003CD332 /* TSPhotoPickerManager */ = {
			isa = PBXGroup;
			children = (
				A80EDEBB2D718CEA003CD332 /* TSPhotoPickerManager.swift */,
			);
			path = TSPhotoPickerManager;
			sourceTree = "<group>";
		};
		A80EDEBE2D718CEA003CD332 /* UIStackView */ = {
			isa = PBXGroup;
			children = (
				A80EDEBD2D718CEA003CD332 /* TSCustomStackView.swift */,
			);
			path = UIStackView;
			sourceTree = "<group>";
		};
		A80EDEC02D718CEA003CD332 /* UILabel */ = {
			isa = PBXGroup;
			children = (
				A80EDEBF2D718CEA003CD332 /* PaddedLabel.swift */,
			);
			path = UILabel;
			sourceTree = "<group>";
		};
		A80EDEC12D718CEA003CD332 /* View */ = {
			isa = PBXGroup;
			children = (
				A80EDEBC2D718CEA003CD332 /* TSPhotoPickerManager */,
				A80EDEBE2D718CEA003CD332 /* UIStackView */,
				A80EDEC02D718CEA003CD332 /* UILabel */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A80EDEC22D718CEA003CD332 /* Common */ = {
			isa = PBXGroup;
			children = (
				A868A8C02D76A28A00F6D884 /* Ex */,
				A80EDE622D718B0F003CD332 /* Res */,
				A80EDE5F2D718AEF003CD332 /* Config */,
				A80EDE712D718CEA003CD332 /* NetworkManager */,
				A80EDEBA2D718CEA003CD332 /* Tool */,
				A80EDEC12D718CEA003CD332 /* View */,
			);
			path = Common;
			sourceTree = "<group>";
		};
		A80EDEF42D718DEA003CD332 /* TSTabBarController */ = {
			isa = PBXGroup;
			children = (
				A80EDEF32D718DEA003CD332 /* TSTabBarController.swift */,
			);
			path = TSTabBarController;
			sourceTree = "<group>";
		};
		A80EDEF72D718DF1003CD332 /* TSBusinessWebVC */ = {
			isa = PBXGroup;
			children = (
				A80EDEF62D718DF1003CD332 /* TSBusinessWebVC.swift */,
			);
			path = TSBusinessWebVC;
			sourceTree = "<group>";
		};
		A80EDEFA2D718DF1003CD332 /* View */ = {
			isa = PBXGroup;
			children = (
				A80EDEF82D718DF1003CD332 /* SettingPurchaseTopView.swift */,
				A80EDEF92D718DF1003CD332 /* TSSettingListView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A80EDEFF2D718DF1003CD332 /* SetingVC */ = {
			isa = PBXGroup;
			children = (
				A80EDEFA2D718DF1003CD332 /* View */,
				A80EDEFB2D718DF1003CD332 /* TSSetingViewModel.swift */,
				A80EDEFC2D718DF1003CD332 /* TSSetingModel.swift */,
				A80EDEFD2D718DF1003CD332 /* ShareActivityItemProvider.swift */,
				A80EDEFE2D718DF1003CD332 /* TSSetingVC.swift */,
			);
			path = SetingVC;
			sourceTree = "<group>";
		};
		A80EDF002D718DF1003CD332 /* TSSetingVC */ = {
			isa = PBXGroup;
			children = (
				A80EDEF72D718DF1003CD332 /* TSBusinessWebVC */,
				A80EDEFF2D718DF1003CD332 /* SetingVC */,
			);
			path = TSSetingVC;
			sourceTree = "<group>";
		};
		A80EDF0A2D718DF7003CD332 /* LaunchVC */ = {
			isa = PBXGroup;
			children = (
				A80EDF082D718DF7003CD332 /* TSBootPageVC.swift */,
				A80EDF092D718DF7003CD332 /* TSLaunchVC.swift */,
			);
			path = LaunchVC;
			sourceTree = "<group>";
		};
		A80EDF0D2D718E42003CD332 /* TSThemeVC */ = {
			isa = PBXGroup;
			children = (
				A83503CB2D7ED1340067002A /* TSThemeTutorialsVC */,
				A8DEC26E2D7C3948002EB948 /* TSThemeCopyrightVC */,
				A868A8C52D76A43300F6D884 /* TSThemeSetVC */,
				A868A8C42D76A42700F6D884 /* TSThemeVC */,
				A868A8A82D75889700F6D884 /* TSThemeBrowseVC */,
			);
			path = TSThemeVC;
			sourceTree = "<group>";
		};
		A80EDF0E2D718E58003CD332 /* TSAIRintoneVC */ = {
			isa = PBXGroup;
			children = (
				A8272E992D7A8F0500F1C814 /* TSGeneralRintoneVC */,
				A8CC55842D798E26002E0CAA /* TSAIRintoneVC */,
				A8CC55832D798E05002E0CAA /* TSTextGeneralRintoneVC */,
			);
			path = TSAIRintoneVC;
			sourceTree = "<group>";
		};
		A80EDF0F2D718E8E003CD332 /* TSAIPhotoVC */ = {
			isa = PBXGroup;
			children = (
				A8CC55802D7976E7002E0CAA /* TSGeneralPicBrowseVC */,
				A868A90F2D784CF100F6D884 /* TSGeneralPicVC */,
				A868A8F62D77E2A900F6D884 /* TSTextGeneralPicVC */,
				A868A8F32D77179000F6D884 /* TSAIPhotoChildVC */,
				A80EDF122D718EF6003CD332 /* TSAIPhotoVC.swift */,
			);
			path = TSAIPhotoVC;
			sourceTree = "<group>";
		};
		A80EDF162D7193E4003CD332 /* TSTutorialsVC */ = {
			isa = PBXGroup;
			children = (
				A80EDF172D7193ED003CD332 /* TSTutorialsVC.swift */,
			);
			path = TSTutorialsVC;
			sourceTree = "<group>";
		};
		A80EDF192D71AC2F003CD332 /* TSCollectionViewVM */ = {
			isa = PBXGroup;
			children = (
				A868A8A52D757DC100F6D884 /* View */,
				A80EDF252D71C122003CD332 /* Model */,
				A80EDF222D71C081003CD332 /* Header */,
				A80EDF1A2D71AC8F003CD332 /* TSCollectionViewVM.swift */,
				A80EDF1C2D71BE11003CD332 /* TSCollectionViewVM+Config.swift */,
			);
			path = TSCollectionViewVM;
			sourceTree = "<group>";
		};
		A80EDF222D71C081003CD332 /* Header */ = {
			isa = PBXGroup;
			children = (
				A80EDF232D71C091003CD332 /* TSColVVMSectionHeaderView.swift */,
				A80EDF262D71C13C003CD332 /* TSColVVMHeaderModel.swift */,
			);
			path = Header;
			sourceTree = "<group>";
		};
		A80EDF252D71C122003CD332 /* Model */ = {
			isa = PBXGroup;
			children = (
			);
			path = Model;
			sourceTree = "<group>";
		};
		A80EDF282D71C20D003CD332 /* VM */ = {
			isa = PBXGroup;
			children = (
				A80EDF292D71C211003CD332 /* TSThemeVM.swift */,
			);
			path = VM;
			sourceTree = "<group>";
		};
		A80EDF2B2D71C2B7003CD332 /* Model */ = {
			isa = PBXGroup;
			children = (
				A80EDF2C2D71C2BF003CD332 /* TSThemeModel.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		A8272E992D7A8F0500F1C814 /* TSGeneralRintoneVC */ = {
			isa = PBXGroup;
			children = (
				A8272E9E2D7A8F6000F1C814 /* TSGeneralRintoneVM.swift */,
				A8272E9A2D7A8F0E00F1C814 /* TSGeneralRintoneVC.swift */,
				A8272E9C2D7A8F3A00F1C814 /* TSGeneralRintoneVC+Event.swift */,
			);
			path = TSGeneralRintoneVC;
			sourceTree = "<group>";
		};
		A83503CB2D7ED1340067002A /* TSThemeTutorialsVC */ = {
			isa = PBXGroup;
			children = (
				A83503CC2D7ED1430067002A /* TSThemeTutorialsVC.swift */,
			);
			path = TSThemeTutorialsVC;
			sourceTree = "<group>";
		};
		A83F871B2D79408300D29B1B /* Data */ = {
			isa = PBXGroup;
			children = (
				A83F871C2D79409300D29B1B /* TSUserDefaultData.swift */,
			);
			path = Data;
			sourceTree = "<group>";
		};
		A83F871E2D794FDF00D29B1B /* View */ = {
			isa = PBXGroup;
			children = (
				A83F871F2D794FE600D29B1B /* TSAIPhotoImageCell.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A868A8982D75505100F6D884 /* View */ = {
			isa = PBXGroup;
			children = (
				A868A89B2D75506500F6D884 /* TSThemeContentCell.swift */,
				A868A8992D75505800F6D884 /* TSThemeBannerCell.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A868A89F2D7560B900F6D884 /* UILabel */ = {
			isa = PBXGroup;
			children = (
			);
			path = UILabel;
			sourceTree = "<group>";
		};
		A868A8A12D7560B900F6D884 /* VIewTool */ = {
			isa = PBXGroup;
			children = (
				A868A9152D784E6500F6D884 /* TSBottomAlertVC.swift */,
				A868A90D2D7846D400F6D884 /* TSSavePhotoSuccessTool.swift */,
				A868A8CF2D76D02300F6D884 /* TSRingToneCellView.swift */,
				A868A89D2D7560B900F6D884 /* TSPageNullView.swift */,
				A868A89E2D7560B900F6D884 /* TSCommonloadingView.swift */,
				A868A89F2D7560B900F6D884 /* UILabel */,
				A868A8A02D7560B900F6D884 /* TSViewTool.swift */,
			);
			path = VIewTool;
			sourceTree = "<group>";
		};
		A868A8A52D757DC100F6D884 /* View */ = {
			isa = PBXGroup;
			children = (
				A868A8A62D757DCE00F6D884 /* UICollectionView+Refresh.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A868A8A82D75889700F6D884 /* TSThemeBrowseVC */ = {
			isa = PBXGroup;
			children = (
				A868A8B82D75C1FB00F6D884 /* VM */,
				A868A8AB2D758B4100F6D884 /* View */,
				A868A8A92D7588A400F6D884 /* TSThemeBrowseVC.swift */,
			);
			path = TSThemeBrowseVC;
			sourceTree = "<group>";
		};
		A868A8AB2D758B4100F6D884 /* View */ = {
			isa = PBXGroup;
			children = (
				A868A8B42D7598A500F6D884 /* TSTSIslandView.swift */,
				A868A8B02D758C9600F6D884 /* TSTBBtnView.swift */,
				A868A8AC2D758B5100F6D884 /* TSTBCallPreviewView.swift */,
				A868A8AE2D758BA800F6D884 /* TSTBDesktopPreviewView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A868A8B82D75C1FB00F6D884 /* VM */ = {
			isa = PBXGroup;
			children = (
				A868A8B92D75C20400F6D884 /* TSThemeBrowseVM.swift */,
			);
			path = VM;
			sourceTree = "<group>";
		};
		A868A8BC2D75C68300F6D884 /* TSAudioPlayer */ = {
			isa = PBXGroup;
			children = (
				A868A8BB2D75C68300F6D884 /* TSAudioPlayer.swift */,
			);
			path = TSAudioPlayer;
			sourceTree = "<group>";
		};
		A868A8C02D76A28A00F6D884 /* Ex */ = {
			isa = PBXGroup;
			children = (
				A83F87212D7953BA00D29B1B /* Notification+TSEx.swift */,
				A868A8C12D76A28F00F6D884 /* UIFont+TSEx.swift */,
			);
			path = Ex;
			sourceTree = "<group>";
		};
		A868A8C42D76A42700F6D884 /* TSThemeVC */ = {
			isa = PBXGroup;
			children = (
				A868A8982D75505100F6D884 /* View */,
				A80EDF2B2D71C2B7003CD332 /* Model */,
				A80EDF282D71C20D003CD332 /* VM */,
				A80EDF142D718F12003CD332 /* TSThemeVC.swift */,
			);
			path = TSThemeVC;
			sourceTree = "<group>";
		};
		A868A8C52D76A43300F6D884 /* TSThemeSetVC */ = {
			isa = PBXGroup;
			children = (
				A868A8CD2D76AAAF00F6D884 /* TSThemeSetRingToneView.swift */,
				A868A8C82D76A45200F6D884 /* TSThemeSetItemView.swift */,
				A868A8C62D76A43E00F6D884 /* TSThemeSetVC.swift */,
			);
			path = TSThemeSetVC;
			sourceTree = "<group>";
		};
		A868A8DC2D76F90E00F6D884 /* TSBandRingTool */ = {
			isa = PBXGroup;
			children = (
				A868A8DF2D76F9BB00F6D884 /* AudioConverter.h */,
				A868A8E02D76F9BB00F6D884 /* AudioConverter.m */,
				A868A8E72D76FA4200F6D884 /* libmp3 */,
				A868A8DD2D76F91500F6D884 /* AudioTool.swift */,
				A868A8EC2D76FE5D00F6D884 /* tutorial-ring.mp4 */,
				A868A8DA2D76F00800F6D884 /* TSBandRingTool.swift */,
				A868A8EA2D76FD9800F6D884 /* placeholder.band */,
			);
			path = TSBandRingTool;
			sourceTree = "<group>";
		};
		A868A8E72D76FA4200F6D884 /* libmp3 */ = {
			isa = PBXGroup;
			children = (
				A868A8E32D76FA4200F6D884 /* ExtAudioConverter.h */,
				A868A8E42D76FA4200F6D884 /* libmp3lame.a */,
				A868A8E52D76FA4200F6D884 /* ExtAudioConverter.m */,
				A868A8E62D76FA4200F6D884 /* lame.h */,
			);
			path = libmp3;
			sourceTree = "<group>";
		};
		A868A8F32D77179000F6D884 /* TSAIPhotoChildVC */ = {
			isa = PBXGroup;
			children = (
				A83F871E2D794FDF00D29B1B /* View */,
				A868A8F42D77179C00F6D884 /* TSAIPhotoChildVC.swift */,
				A83F87232D7954B800D29B1B /* TSAIPhotoChildVM.swift */,
			);
			path = TSAIPhotoChildVC;
			sourceTree = "<group>";
		};
		A868A8F62D77E2A900F6D884 /* TSTextGeneralPicVC */ = {
			isa = PBXGroup;
			children = (
				A868A90A2D78310800F6D884 /* VM */,
				A868A9012D77E59100F6D884 /* Model */,
				A868A8FB2D77E36000F6D884 /* View */,
				A868A8F72D77E2B900F6D884 /* TSTextGeneralPicVC.swift */,
			);
			path = TSTextGeneralPicVC;
			sourceTree = "<group>";
		};
		A868A8FB2D77E36000F6D884 /* View */ = {
			isa = PBXGroup;
			children = (
				A8CC558A2D799051002E0CAA /* TSCreatBtnView.swift */,
				A868A9082D7828DF00F6D884 /* TSTGPPhotoStyleView.swift */,
				A868A9062D77EECC00F6D884 /* TSTGPTitleView.swift */,
				A868A8FF2D77E54A00F6D884 /* TSPromptStyleView.swift */,
				A868A8F92D77E34D00F6D884 /* TSPromptTextView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A868A9012D77E59100F6D884 /* Model */ = {
			isa = PBXGroup;
			children = (
				A868A9042D77E5AB00F6D884 /* photo_to_photo_style.json */,
				A868A9022D77E5A400F6D884 /* TSPTPStyleModel.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		A868A90A2D78310800F6D884 /* VM */ = {
			isa = PBXGroup;
			children = (
				A868A90B2D78311400F6D884 /* TSTextGeneralPicVM.swift */,
			);
			path = VM;
			sourceTree = "<group>";
		};
		A868A90F2D784CF100F6D884 /* TSGeneralPicVC */ = {
			isa = PBXGroup;
			children = (
				A868A9172D78554800F6D884 /* TSGenneralPicVM.swift */,
				A868A9122D784D2200F6D884 /* Model */,
				A868A9102D784CFA00F6D884 /* TSGeneralPicVC.swift */,
				A868A91D2D785CE600F6D884 /* TSGeneralPicVC+Event.swift */,
			);
			path = TSGeneralPicVC;
			sourceTree = "<group>";
		};
		A868A9122D784D2200F6D884 /* Model */ = {
			isa = PBXGroup;
			children = (
				A868A9132D784D2700F6D884 /* TSGeneralPicModel.swift */,
				A868A9192D78559600F6D884 /* TSProgressState.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		A8C6436A2D79A8BD001068D0 /* View */ = {
			isa = PBXGroup;
			children = (
				A8C6436B2D79A8C7001068D0 /* TSAIRintoneHistoryCell.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A8CC55802D7976E7002E0CAA /* TSGeneralPicBrowseVC */ = {
			isa = PBXGroup;
			children = (
				A8CC55812D79771F002E0CAA /* TSGeneralPicBrowseVC.swift */,
			);
			path = TSGeneralPicBrowseVC;
			sourceTree = "<group>";
		};
		A8CC55832D798E05002E0CAA /* TSTextGeneralRintoneVC */ = {
			isa = PBXGroup;
			children = (
				A8CC55872D798E51002E0CAA /* VM */,
				A8CC55852D798E2D002E0CAA /* TSTextGeneralRintoneVC.swift */,
			);
			path = TSTextGeneralRintoneVC;
			sourceTree = "<group>";
		};
		A8CC55842D798E26002E0CAA /* TSAIRintoneVC */ = {
			isa = PBXGroup;
			children = (
				A8C6436A2D79A8BD001068D0 /* View */,
				A8CC558E2D799F93002E0CAA /* ViewModel */,
				A80EDF102D718ECF003CD332 /* TSAIRintoneVC.swift */,
			);
			path = TSAIRintoneVC;
			sourceTree = "<group>";
		};
		A8CC55872D798E51002E0CAA /* VM */ = {
			isa = PBXGroup;
			children = (
				A8272E972D7A88E300F1C814 /* text_rintone_style.json */,
				A8CC55882D798E5A002E0CAA /* TSTextGeneralRintoneVM.swift */,
			);
			path = VM;
			sourceTree = "<group>";
		};
		A8CC558E2D799F93002E0CAA /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				A8CC558F2D799F9C002E0CAA /* TSAIRintoneVM.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		A8DEC26E2D7C3948002EB948 /* TSThemeCopyrightVC */ = {
			isa = PBXGroup;
			children = (
				A8DEC26F2D7C395B002EB948 /* TSThemeCopyrightVC.swift */,
			);
			path = TSThemeCopyrightVC;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		A80EDE352D7184D9003CD332 /* AIRingtone */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = A80EDE492D7184DB003CD332 /* Build configuration list for PBXNativeTarget "AIRingtone" */;
			buildPhases = (
				955A19BE27CEE13A37F689F6 /* [CP] Check Pods Manifest.lock */,
				A80EDE322D7184D9003CD332 /* Sources */,
				A80EDE332D7184D9003CD332 /* Frameworks */,
				A80EDE342D7184D9003CD332 /* Resources */,
				B7757A8921F6C3AA38945D37 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = AIRingtone;
			productName = AIRingtone;
			productReference = A80EDE362D7184D9003CD332 /* AIRingtone.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		A80EDE2E2D7184D9003CD332 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1620;
				LastUpgradeCheck = 1620;
				TargetAttributes = {
					A80EDE352D7184D9003CD332 = {
						CreatedOnToolsVersion = 16.2;
						LastSwiftMigration = 1620;
					};
				};
			};
			buildConfigurationList = A80EDE312D7184D9003CD332 /* Build configuration list for PBXProject "AIRingtone" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = A80EDE2D2D7184D9003CD332;
			minimizedProjectReferenceProxies = 1;
			preferredProjectObjectVersion = 77;
			productRefGroup = A80EDE372D7184D9003CD332 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				A80EDE352D7184D9003CD332 /* AIRingtone */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		A80EDE342D7184D9003CD332 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A868A91C2D78592600F6D884 /* rotatingAnimation.gif in Resources */,
				A868A9052D77E5AB00F6D884 /* photo_to_photo_style.json in Resources */,
				A8272E982D7A88F400F1C814 /* text_rintone_style.json in Resources */,
				A80EDE5B2D718623003CD332 /* Assets.xcassets in Resources */,
				A868A8ED2D76FE5D00F6D884 /* tutorial-ring.mp4 in Resources */,
				A868A8BF2D76A17E00F6D884 /* Poppins-BlackItalic.ttf in Resources */,
				A868A8EB2D76FD9800F6D884 /* placeholder.band in Resources */,
				A80EDE5D2D718623003CD332 /* LaunchScreen.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		955A19BE27CEE13A37F689F6 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-AIRingtone-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		B7757A8921F6C3AA38945D37 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-AIRingtone/Pods-AIRingtone-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-AIRingtone/Pods-AIRingtone-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-AIRingtone/Pods-AIRingtone-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		A80EDE322D7184D9003CD332 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A868A9072D77EED800F6D884 /* TSTGPTitleView.swift in Sources */,
				A868A8C22D76A2A700F6D884 /* UIFont+TSEx.swift in Sources */,
				A868A91A2D78559800F6D884 /* TSProgressState.swift in Sources */,
				A868A8C92D76A45900F6D884 /* TSThemeSetItemView.swift in Sources */,
				A868A9002D77E55800F6D884 /* TSPromptStyleView.swift in Sources */,
				A83F87202D794FF000D29B1B /* TSAIPhotoImageCell.swift in Sources */,
				A868A8DB2D76F00C00F6D884 /* TSBandRingTool.swift in Sources */,
				A868A8F12D77081C00F6D884 /* TSContactsTool.swift in Sources */,
				A80EDF2D2D71C2CA003CD332 /* TSThemeModel.swift in Sources */,
				A80EDE582D718623003CD332 /* AppDelegate.swift in Sources */,
				A868A8EF2D77041400F6D884 /* TSLoadingAnimation.swift in Sources */,
				A80EDE652D718CAF003CD332 /* GlobalImports.swift in Sources */,
				A868A9092D7828EC00F6D884 /* TSTGPPhotoStyleView.swift in Sources */,
				A8DEC2702D7C395C002EB948 /* TSThemeCopyrightVC.swift in Sources */,
				A80EDF112D718ED1003CD332 /* TSAIRintoneVC.swift in Sources */,
				A80EDF1B2D71AC90003CD332 /* TSCollectionViewVM.swift in Sources */,
				A80EDE612D718AF4003CD332 /* TSConfig.swift in Sources */,
				A80EDF152D718F13003CD332 /* TSThemeVC.swift in Sources */,
				A868A9032D77E5A500F6D884 /* TSPTPStyleModel.swift in Sources */,
				A80EDEC62D718CEA003CD332 /* TSRandomTextPicker.swift in Sources */,
				A80EDEC82D718CEA003CD332 /* TSNetworkManager+Loading.swift in Sources */,
				A868A9182D78555200F6D884 /* TSGenneralPicVM.swift in Sources */,
				A80EDECB2D718CEA003CD332 /* TSNetWork+Business.swift in Sources */,
				A8CC558B2D79905A002E0CAA /* TSCreatBtnView.swift in Sources */,
				A80EDF0B2D718DF7003CD332 /* TSBootPageVC.swift in Sources */,
				A80EDF0C2D718DF7003CD332 /* TSLaunchVC.swift in Sources */,
				A80EDEDB2D718CEA003CD332 /* TSPhotoPickerManager.swift in Sources */,
				A868A8BD2D75C68300F6D884 /* TSAudioPlayer.swift in Sources */,
				A8CC55822D797720002E0CAA /* TSGeneralPicBrowseVC.swift in Sources */,
				A80EDEE32D718CEA003CD332 /* TSNetworkManager.swift in Sources */,
				A868A8AF2D758BBC00F6D884 /* TSTBDesktopPreviewView.swift in Sources */,
				A80EDEF52D718DEA003CD332 /* TSTabBarController.swift in Sources */,
				A868A8B52D7598C000F6D884 /* TSTSIslandView.swift in Sources */,
				A80EDEE72D718CEA003CD332 /* TSCustomStackView.swift in Sources */,
				A8272E9F2D7A8F6500F1C814 /* TSGeneralRintoneVM.swift in Sources */,
				A868A9142D784D4D00F6D884 /* TSGeneralPicModel.swift in Sources */,
				A868A8D52D76E41800F6D884 /* TSSetContactAvatar.swift in Sources */,
				A868A8F52D77179D00F6D884 /* TSAIPhotoChildVC.swift in Sources */,
				A868A8E82D76FA4200F6D884 /* ExtAudioConverter.m in Sources */,
				A80EDF132D718EF7003CD332 /* TSAIPhotoVC.swift in Sources */,
				A83F87242D7954BB00D29B1B /* TSAIPhotoChildVM.swift in Sources */,
				A868A8DE2D76F91500F6D884 /* AudioTool.swift in Sources */,
				A80EDF242D71C0AA003CD332 /* TSColVVMSectionHeaderView.swift in Sources */,
				A868A90C2D78311A00F6D884 /* TSTextGeneralPicVM.swift in Sources */,
				A80EDF1D2D71BE15003CD332 /* TSCollectionViewVM+Config.swift in Sources */,
				A868A8E12D76F9BB00F6D884 /* AudioConverter.m in Sources */,
				A868A8BA2D75C22300F6D884 /* TSThemeBrowseVM.swift in Sources */,
				A868A89C2D75506C00F6D884 /* TSThemeContentCell.swift in Sources */,
				A868A91E2D785CEA00F6D884 /* TSGeneralPicVC+Event.swift in Sources */,
				A80EDEE92D718CEA003CD332 /* TSFileManagerTool.swift in Sources */,
				A868A8A22D7560B900F6D884 /* TSPageNullView.swift in Sources */,
				A868A8CE2D76AAC600F6D884 /* TSThemeSetRingToneView.swift in Sources */,
				A868A90E2D7846D600F6D884 /* TSSavePhotoSuccessTool.swift in Sources */,
				A8C6436C2D79A8C8001068D0 /* TSAIRintoneHistoryCell.swift in Sources */,
				A868A8A32D7560B900F6D884 /* TSViewTool.swift in Sources */,
				A83F871D2D79409B00D29B1B /* TSUserDefaultData.swift in Sources */,
				A868A9112D784CFB00F6D884 /* TSGeneralPicVC.swift in Sources */,
				A8272EBB2D7AFD0F00F1C814 /* TSBusinessAudioPlayer.swift in Sources */,
				A868A8A42D7560B900F6D884 /* TSCommonloadingView.swift in Sources */,
				A868A89A2D75505E00F6D884 /* TSThemeBannerCell.swift in Sources */,
				A80EDF182D7193EE003CD332 /* TSTutorialsVC.swift in Sources */,
				A80EDEEA2D718CEA003CD332 /* PaddedLabel.swift in Sources */,
				A8CC55862D798E2D002E0CAA /* TSTextGeneralRintoneVC.swift in Sources */,
				A80EDEEB2D718CEA003CD332 /* StreamPostRequest.swift in Sources */,
				A80EDF2A2D71C215003CD332 /* TSThemeVM.swift in Sources */,
				A868A8AA2D7588A500F6D884 /* TSThemeBrowseVC.swift in Sources */,
				A868A8B12D758CA400F6D884 /* TSTBBtnView.swift in Sources */,
				A8272E9B2D7A8F1000F1C814 /* TSGeneralRintoneVC.swift in Sources */,
				A80EDF272D71C13D003CD332 /* TSColVVMHeaderModel.swift in Sources */,
				A83F87222D7953C000D29B1B /* Notification+TSEx.swift in Sources */,
				A83503CD2D7ED1440067002A /* TSThemeTutorialsVC.swift in Sources */,
				A868A8AD2D758B6B00F6D884 /* TSTBCallPreviewView.swift in Sources */,
				A868A9162D784E6500F6D884 /* TSBottomAlertVC.swift in Sources */,
				A80EDF012D718DF1003CD332 /* TSBusinessWebVC.swift in Sources */,
				A868A8A72D757DD600F6D884 /* UICollectionView+Refresh.swift in Sources */,
				A868A8F82D77E2BC00F6D884 /* TSTextGeneralPicVC.swift in Sources */,
				A80EDF022D718DF1003CD332 /* TSSettingListView.swift in Sources */,
				A8CC55902D799F9F002E0CAA /* TSAIRintoneVM.swift in Sources */,
				A80EDF032D718DF1003CD332 /* ShareActivityItemProvider.swift in Sources */,
				A80EDF042D718DF1003CD332 /* TSSetingModel.swift in Sources */,
				A8CC55892D798E5D002E0CAA /* TSTextGeneralRintoneVM.swift in Sources */,
				A80EDF052D718DF1003CD332 /* TSSetingVC.swift in Sources */,
				A868A8FA2D77E35E00F6D884 /* TSPromptTextView.swift in Sources */,
				A80EDF062D718DF1003CD332 /* SettingPurchaseTopView.swift in Sources */,
				A8272E9D2D7A8F4600F1C814 /* TSGeneralRintoneVC+Event.swift in Sources */,
				A80EDF072D718DF1003CD332 /* TSSetingViewModel.swift in Sources */,
				A868A8C72D76A44500F6D884 /* TSThemeSetVC.swift in Sources */,
				A80EDEEC2D718CEA003CD332 /* WindowHelper.swift in Sources */,
				A868A8D02D76D03900F6D884 /* TSRingToneCellView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		A80EDE522D718623003CD332 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				A80EDE512D718623003CD332 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		A80EDE4A2D7184DB003CD332 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 5D578E9BD60A04ABE5E6E12E /* Pods-AIRingtone.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 7;
				DEVELOPMENT_TEAM = 65UD255J84;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = AIRingtone/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "AI Ringtones";
				INFOPLIST_KEY_NSContactsUsageDescription = "Allow \"Contacts\" permission to set contact photo";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "Allow us to access Photos in order to save wallpapers to your device.";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				LIBRARY_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/AIRingtone/Common/Tool/TSBandRingTool/libmp3",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = ai.ringtones.com;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "AIRingtone/AIRingtone-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		A80EDE4B2D7184DB003CD332 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 5DBE882FFF7A297F71A825E3 /* Pods-AIRingtone.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 7;
				DEVELOPMENT_TEAM = 65UD255J84;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = AIRingtone/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "AI Ringtones";
				INFOPLIST_KEY_NSContactsUsageDescription = "Allow \"Contacts\" permission to set contact photo";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "Allow us to access Photos in order to save wallpapers to your device.";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				LIBRARY_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)/AIRingtone/Common/Tool/TSBandRingTool/libmp3",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = ai.ringtones.com;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "AIRingtone/AIRingtone-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		A80EDE4C2D7184DB003CD332 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 18.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		A80EDE4D2D7184DB003CD332 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 18.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		A80EDE312D7184D9003CD332 /* Build configuration list for PBXProject "AIRingtone" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A80EDE4C2D7184DB003CD332 /* Debug */,
				A80EDE4D2D7184DB003CD332 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		A80EDE492D7184DB003CD332 /* Build configuration list for PBXNativeTarget "AIRingtone" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A80EDE4A2D7184DB003CD332 /* Debug */,
				A80EDE4B2D7184DB003CD332 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = A80EDE2E2D7184D9003CD332 /* Project object */;
}
